# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "steam-mail"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Minimal SMTP server for extracting Steam Guard codes from incoming emails"
readme = false
license = "LGPL-2.1-only"
repository = "https://github.com/EliCunninghamDev/stemdepot"
resolver = "2"

[lib]
name = "steam_mail"
path = "src/lib.rs"

[dependencies.tokio]
version = "1"
features = [
    "net",
    "io-util",
    "sync",
    "macros",
    "rt",
]
